#
# spec file for package python-pivy
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define modname pivy
Name:           python-%{modname}
Url:            https://bitbucket.org/Coin3D/pivy
License:        BSD
Group:          Development/Libraries/Python
Autoreqprov:    on
Version:        0.5.0+hg20101206.2327
Release:        2.3
Summary:        Pivy is a Coin binding for Python
Source0:        Pivy.tar.xz
Patch0:         pyqt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel Coin-devel swig SoQt-devel gcc
Obsoletes:      python-pivy = 0.5.0svn765
%{py_requires}
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library with a C++ Application
Programming Interface. Coin uses scene-graph data structures to render real-time graphics suitable
for mostly all kinds of scientific and engineering visualization applications.



%prep
%setup -n Pivy
%patch0 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sat Sep 26 2009 andrea@links2linux.de
- new package
